<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>添加员工信息</title>
  <meta name="renderer" content="webkit">
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
  <link rel="stylesheet" href="../../layuiadmin/layui/css/layui.css" media="all">
  <link rel="stylesheet" href="../../layuiadmin/style/admin.css" media="all">
  <link rel="stylesheet" type="text/css" href="../../layuiadmin/style/formSelects-v4.css"/>
  <script type="text/javascript" src="https://3gimg.qq.com/lightmap/components/geolocation/geolocation.min.js"></script>
</head>
<body>

<div class="layui-fluid">
    <div class="layui-card">
        <div class="layui-card-body" pad15>
            <form class="layui-form" action="" lay-filter="component-form-element">
                <div class="layui-row layui-col-space10 layui-form-item">
                    <div style="overflow-y: scroll;">
                        <div style="width: 40%; height: 100%; float:left;">
                            <div class="layui-form-item">
                                <label class="layui-form-label"><font color='red' size="4">*</font>名称：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="name" lay-verify="required" placeholder="请输入名称" autocomplete="off" class="layui-input">
                                </div>
                            </div>
                            <div class="layui-form-item">
                                <label class="layui-form-label"><font color='red' size="4">*</font>地址：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="addr" placeholder="请输入地址" lay-verify="required" autocomplete="off" class="layui-input">
                                </div>
                            </div>
                            <div class="layui-form-item">
                                <label class="layui-form-label"><font color='red' size="4">*</font>电话：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="tel" placeholder="请输入电话" lay-verify="required" autocomplete="off" class="layui-input">
                                </div>
                            </div>
                             <div class="layui-form-item">
                                <label class="layui-form-label">品牌：</label>
                                <div class="layui-input-block">
                                  <select name="brands" xm-select="manager_brands"></select>
                                </div>
                            </div>
                            <div class="layui-form-item">
                              <label class="layui-form-label">排序：</label>
                              <div class="layui-input-block">
                                <input type="text" name="sort" placeholder="请输入排序" lay-verify="numberGez"  autocomplete="off" class="layui-input">
                              </div>
                            </div>
                            <div class="layui-form-item">
                                <label class="layui-form-label">经度坐标：</label>
                                <span id="show_lng"></span>
                            </div>
                            <div class="layui-form-item">
                                <label class="layui-form-label">纬度坐标：</label>
                                <span id="show_lat"></span>
                            </div>
                            <div class="layui-form-item">
                                <label class="layui-form-label">在用：</label>
                                <div class="layui-input-block">
                                    <input type="checkbox" name="enabled" lay-skin="switch" lay-text="是|否" checked="" value="1">
                                </div>
                            </div >
                            <div class="layui-form-item">
                                <label class="layui-form-label">门店展示：</label>
                                <div class="layui-input-block">
                                    <button type="button" class="layui-btn-sm" id="test1">上传图片</button><br><br>
                                </div>
                            </div>
                            <div class="layui-form-item">
                                <img class="layui-upload-img" id="demo1" style="max-width: 70%;height: 150px;margin-left: 25%;">
                            </div>
                        </div>
                        <div style="width: 55%; height: 100%; float:left; margin-left: 10px;">
                            <div style="height: 500px;">
                                <iframe id="markPage" frameborder="0" scrolling="no" width="100%" height="100%"></iframe>
                            </div>
                        </div>
                        <button id="id_save" class="layui-btn" lay-submit lay-filter="component-form-element" style="display: none">保存</button>
                        <button class="layui-btn" type="button" id="upload_image" style="display: none"></button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>


  <script src="../../layuiadmin/layui/layui.js"></script>
  <script>
  layui.config({
    base: '../../../layuiadmin/' //静态资源所在路径
  }).extend({
    index: 'lib/index',
    formSelects: 'formSelects-v4'
  }).use(['index', 'form', 'utils', 'upload', 'formSelects'], function(){
    var $ = layui.$
    ,admin = layui.admin
    ,upload = layui.upload
    ,formSelects = layui.formSelects
    ,form = layui.form;
    var id = layui.view.getParameterByName('id');
    var longitude = null;
    var latitude = null;

    window.addEventListener('message', function (e) {
        var loc = e.data;
        if (loc && loc.module == 'locationPicker') {
            longitude = loc.latlng.lng;
            latitude = loc.latlng.lat;
            $('#show_lng').html(longitude);
            $('#show_lat').html(latitude);
        }
    }, false);

    formSelects.value('manager_brands', []);
    admin.req({
        url: '/vehicle/brand/search/'
        ,done: function(res){
            var _nodes = res.data;
            formSelects.data('manager_brands', 'local', {
            arr: _nodes,
            tree: {
                //在点击节点的时候, 如果没有子级数据, 会触发此事件
                nextClick: function(id, item, callback){
                    return false;
                    },
                }
            });
            //formSelects.value('manager_range', manages);
            loadData();
        }
    });

    var loadData = function () {
        if(id){
            var editdata = JSON.parse(JSON.stringify(parent.layui.table.editdata)); // 框架有Bug所以这么转换
            if (editdata.longitude && editdata.latitude) {
                longitude = editdata.longitude;
                latitude = editdata.latitude;
                $('#show_lng').html(longitude);
                $('#show_lat').html(latitude);
                reloadMap(latitude, longitude);
            } else {
                var markurl = 'https://apis.map.qq.com/tools/locpicker?search=1&type=1&key=6NVBZ-YA43F-UHLJY-JS3WK-26HQH-7ZBLM&referer=myapp';
                $('#markPage').attr('src',markurl);
            }
            if(editdata.img_url){
                $('#demo1').attr('src', editdata.img_url);
            }
            formSelects.value('manager_brands', editdata.brands);
            form.val("component-form-element", editdata);
        }else{
            var markurl = 'https://apis.map.qq.com/tools/locpicker?search=1&type=1&key=6NVBZ-YA43F-UHLJY-JS3WK-26HQH-7ZBLM&referer=myapp';
            $('#markPage').attr('src',markurl);
        }
    };

    function reloadMap(lat, lng) {
        var markurl = 'https://apis.map.qq.com/tools/locpicker?search=1&type=1&key=6NVBZ-YA43F-UHLJY-JS3WK-26HQH-7ZBLM&referer=myapp&coord=' + lat + ',' + lng;
        $('#markPage').attr('src',markurl);
    }

    var form_data = {field:{}};

    if (id){
          var url = '/store/'+id + '/update_shop/';
      }else{
          url =  '/store/';
      }

     upload.render({
         elem: '#test1',
         url: url,
         auto: false,
         field: 'image',
         bindAction: '#upload_image',
         choose: function(obj) {
             obj.preview(
                 function(index, file, result) {
                     $('#demo1').attr('src', result);
                 }
             );
         },
          data:{
             name: function(){return form_data.field.name;},
             addr: function(){return form_data.field.addr;},
             tel: function(){return form_data.field.tel;},
             brands: function(){return form_data.field.brands;},
             latitude: function(){return form_data.field.latitude;},
             longitude: function(){return form_data.field.longitude;},
             enabled: function(){
                 if (form_data.field.enabled){
                     return form_data.field.enabled;
                 }else{
                     return '0';
                 }
             }
             },
        done: function (res) {
            if (res.code != 0) {
                layer.msg(res.msg);
            }else {
                parent.layui.onSubmitChild(res.data);
            }
        },
        error: function () {
            layer.msg('保存失败');
        }
    });

    form.on('submit(component-form-element)', function(data){
      //layer.msg(JSON.stringify(data.field));

        if (!latitude || !longitude) {
            layer.msg('请选择门店位置');
            return false;
        }

        data.field['latitude'] = latitude;
        data.field['longitude'] = longitude;

        if (data.field.image){
            form_data = data;
            $('#upload_image').click();
        }else{
            admin.req({
                url: url
                ,data: data.field
                ,type: 'post'
                ,done: function(res){
                    parent.layui.onSubmitChild(res.data);
                }
              });
        }

      return false;
    });

    parent.layui.submitChild = function () {
      $("#id_save").click();
    };
  });
  </script>
</body>
</html>